> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Récupérer une non-conformité

> Renvoie une non-conformité par son identifiant.

Renvoie une non-conformité par son identifiant.

```json Réponse theme={null}
{
  "defectsByPk": {
    "id": 7,
    "name": "DEF-0007",
    "status": "OPEN",
    "quantity": 3,
    "defectType": {
      "id": 1,
      "name": "Défaut dimensionnel"
    },
    "article": {
      "code": "CAM-PEEK",
      "name": "Came PEEK"
    }
  }
}
```


## OpenAPI

````yaml openapi.json GET /quality/defects/{id}
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /quality/defects/{id}:
    get:
      summary: Retrieve a defect
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - description: _"id" is required as part of the path_
          in: path
          name: id
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  defectsByPk:
                    nullable: true
                    properties:
                      article:
                        description: >-
                          Articles with physical reality (= manage-able in
                          stock). This table includes all article types (raw
                          materials, semi-finished, finished products,
                          consumables, etc.)
                        nullable: false
                        properties:
                          code:
                            nullable: true
                            type: string
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      createdAt:
                        $ref: '#/components/schemas/timestamptz'
                      defectType:
                        nullable: false
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      id:
                        nullable: false
                        type: integer
                      lot:
                        nullable: true
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      name:
                        nullable: true
                        type: string
                      quantity:
                        $ref: '#/components/schemas/numeric'
                      status:
                        $ref: '#/components/schemas/defect_status'
                      step:
                        nullable: false
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                    type: object
          description: Response
components:
  schemas:
    timestamptz:
      nullable: true
    numeric:
      nullable: false
    defect_status:
      nullable: true

````